/*
* JBoss, Home of Professional Open Source.
* Copyright 2010, Red Hat, Inc., and individual contributors
* as indicated by the @author tags. See the copyright.txt file in the
* distribution for a full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.hornetq.api.core;

/**
 * This interface is needed for making a DiscoveryGroupConfiguration backward
 * compatible with version 2.2 clients. It is used to extract from new
 * {@link org.hornetq.api.core.BroadcastEndpointFactoryConfiguration} the four
 * UDP attributes in order to form a version 2.2 DiscoveryGroupConfiguration
 * in time of serialization.
 *
 * @see org.hornetq.api.core.DiscoveryGroupConfiguration.readObject(ObjectInputStream)
 * @see org.hornetq.api.core.DiscoveryGroupConfiguration.writeObject(ObjectOutputStream)
 *
 * @author <a href="mailto:andy.taylor@jboss.org">Andy Taylor</a>
 *         12/13/12
 */
public interface DiscoveryGroupConfigurationCompatibilityHelper
{
// XXX No javadocs
   String getLocalBindAddress();

// XXX No javadocs
   int getLocalBindPort();

// XXX No javadocs
   String getGroupAddress();

// XXX No javadocs
   int getGroupPort();
}
